<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .big-box{
          
          
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
          
            justify-content: center;
            gap:2%;




           
                  
         }
        .big-box div{
           
          
            background-color: yellow;
            flex-basis: 100px;
           
            border:1px solid black;
            
             }
        
    </style>
   
</head>
<body>
   <h1>Flex Properties</h1>
   <!-- Four ways to create responsive websites -->
   <!-- 1.Flex
        2.Grid
        3.media query
        4.Bootstrap framework
 -->
<!-- Flex-Properties -->

<div class="big-box">
    <div id="box1">
       box1  
    </div>
    <div id="box2">
      box2
    </div>

    <div id="box3">
     box3
    </div>

    <div id="box4">
     box4
    </div>

    <div id="box5">
    box5
    </div>

</div>



</body>
</html>